Subject: [netconf] [Editorial Errata Reported] RFC8650 (6367)

From: RFC Errata System <[email-masked]>
Date: Thu, 24 Dec 2020 06:45:23 -0800 (PST)

The following errata report has been submitted for RFC8650,
"Dynamic Subscription to YANG Events and Datastores over RESTCONF".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6367

--------------------------------------
Type: Editorial
Reported by: Muly Ilan <[email-masked]>

Section: A.1.3

Original Text
-------------
A.1.3.  Deleting Dynamic Subscriptions

   The following demonstrates deleting a subscription.  This
   subscription may have been to either a stream or a datastore.

   POST /restconf/operations
        /ietf-subscribed-notifications:delete-subscription

   {
    "delete-subscription": {
       "id": "22"
    }
   }

Corrected Text
--------------
A.1.3.  Deleting Dynamic Subscriptions

   The following demonstrates deleting a subscription.  This
   subscription may have been to either a stream or a datastore.

   POST /restconf/operations
        /ietf-subscribed-notifications:delete-subscription

   {
    "ietf-subscribed-notifications:input": {
       "id": "22"
    }
   }

Notes
-----
Encoding of RPC input parameters should follow RFC 8040 section 3.6.1

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8650 (draft-ietf-netconf-restconf-notif-15)
--------------------------------------
Title               : Dynamic Subscription to YANG Events and Datastores over RESTCONF
Publication Date    : November 2019
Author(s)           : E. Voit, R. Rahman, E. Nilsen-Nygaard, A. Clemm, A. Bierman
Category            : PROPOSED STANDARD
Source              : Network Configuration
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG